Make Face Multiple Solids
-
I have searched around for hours and have decided to finally reach out for some help. I have a framed wall with some holes and gaps, the make face addon works great but is there a way to use that addon or one similar to close all the gaps and holes? I had a bunch of old addons and lost them when I had to reinstall windows and I know this is possible. See attached.
Thanks
-
I think the fastest method to fix those holes, such as in the bottom plate is draw a new edge along the length. To remove the lines use CleanUp plugin set to ignore the materials.
I don't know of any "global" method to do this. AFAIK you have to edit each group, so if you have more to do than this, I'm sorry. Anything close to this scale however seems you can fix faster by hand or redraw than the time it takes to post. (And don't use the same methods again. I can't understand searching for hours for a method to fix mistakes that you don't plan to do again. )
Reverse the backwards faces (blue colored).
-
@pbacot said:
I think the fastest method to fix those holes, such as in the bottom plate is draw a new edge along the length. To remove the lines use CleanUp plugin set to ignore the materials.
I don't know of any "global" method to do this. AFAIK you have to edit each group, so if you have more to do than this, I'm sorry. Anything close to this scale however seems you can fix faster by hand or redraw than the time it takes to post. (And don't use the same methods again. I can't understand searching for hours for a method to fix mistakes that you don't plan to do again. )
Reverse the backwards faces (blue colored).
Unfortunatley I have giant projects and many of them. Like I said I know this is possible as I have done it before. Curse me for not writing notes haha.
-
How did you create the model to get all those holes in the first place? If this is a common occurrence, you should probably look at fixing your workflow so you don't have to spend time fixing those holes.
Make Faces would probably work but as Peter wrote, editing the group/component, and drawing a line down the length would heal the holes. Remove the materials or at least paint all the faces in the componets/groups with the same material and then CleanUp3 could be used to get rid of the coplanar edges you asked about in your previous thread.
You should get in the habit of correcting reversed faces as they occur. You could also improve the efficiency of your model if you would use components instead of groups.
Fixed with nothing more than the Line tool, Paint Bucket, and CleanUp3.
SimpleFrame.skp -
@pohlr1 said:
@pbacot said:
I think the fastest method to fix those holes, such as in the bottom plate is draw a new edge along the length. To remove the lines use CleanUp plugin set to ignore the materials.
I don't know of any "global" method to do this. AFAIK you have to edit each group, so if you have more to do than this, I'm sorry. Anything close to this scale however seems you can fix faster by hand or redraw than the time it takes to post. (And don't use the same methods again. I can't understand searching for hours for a method to fix mistakes that you don't plan to do again. )
Reverse the backwards faces (blue colored).
Unfortunatley I have giant projects and many of them. Like I said I know this is possible as I have done it before. Curse me for not writing notes haha.
I'd be curious to find out too. Could be useful for something!
On a second look SolidSolver closed all the holes, but you must select the groups one by one, and you still have to use CleanUp3 to remove the edges at coplanar faces.
-
I'd say the most significant problem with your model is that all your Groups are assigned to Layer0 while all the geometry contained within those groups is spread across many layers.
One example of this will show if you create the face in the bottom rail, then turn off all layers except layer0, all you will see is the small newly created face. -
Good catch. I hadn't even looked at the layer mess before.
-
Repaired SimpleFrame and code used
mod = Sketchup.active_model ent = mod.active_entities sel = mod.selection SKETCHUP_CONSOLE.clear ent.grep(Sketchup;;Group).each{|g| edg = g.entities.grep(Sketchup;;Edge).select{|e|e.faces.count==1} edg.each{|e|e.find_faces}; remove=[] g.entities.grep(Sketchup;;Edge).each{|e| remove<<e if e.faces.length==2 && e.faces[0].normal.parallel?(e.faces[1].normal)} ent.erase_entities(remove.reverse) }
Advertisement